PSTREE(1)

NAZWA
pstree - wyświetl drzewo procesów

SKŁADNIA

pstree
    [-a] [-c] [-h|-Hpid] [-l] [-n] [-p] [-u] [-G|-U] [pid|użytkownik]

pstree -V

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

pstree pokazuje uruchomione procesy w formie drzewa. Korzeń tego drzewa znajduje się albo w pid albo w init jeśli pid pominięto. Jeżeli podano nazwę użytkownika, to pokazywane są wszystkie drzewa procesów zakorzenione w procesach tego użytkownika.

pstree wizualnie łączy identyczne gałęzie umieszczając je w nawiasach kwadratowych i poprzedzając liczbą powtórzeń, np.

    init-+-getty
         |-getty
         |-getty
         `-getty

staje się

    init---4*[getty]

Tworzy to bardziej zwartą formę wyświetlania.

OPCJE

-a  Pokazuje argumenty wiersza poleceń. Jeżeli wiersz poleceń procesu jest przeniesiony na partycję wymiany (swapped out), to proces ten jest pokazywany w nawiasach. -a niejawnie wyłącza formę zwartą.

-c  Wyłącza formę zwartą identycznych poddrzew. Domyślnie, jeśli jest to możliwe, poddrzewa są łączone.

-G  Posługuje się znakami ramek VT100.

-h  Wyróżnia podświetleniem (highlighting) bieżący proces i jego przodków. Nie działa (no-op) jeśli terminal nie obsługuje wyróżnienia albo w pokazywanym poddrzewie nie występuje proces bieżący ani żaden z jego przodków.

-H  Podobne do -h, ale wyróżnia podany proces. Inaczej niż przy -h, pstree zawodzi, gdy posłużono się -H a nie jest dostępne wyróżnianie.

-l  Wyświetla długie wiersze. Domyślnie wiersze są obcinane do szerokości ekranu lub 132 jeśli wyjście wysyłane jest na coś innego niż tty albo jeśli nieznana jest szerokość ekranu.

-n  Sortuj procesy o tym samym przodku w kolejności PID zamiast według nazwy. (Sortowanie numeryczne.)

-p  Pokazuje identyfikatory procesów (PID). Wyświetlane są jako liczby dziesiętne w nawiasach po każdej nazwie procesu. -p niejawnie wyłącza formę zwartą.

-u  Pokazuje przenikanie się uid. W przypadku, gdy uid procesu różni się od uid jego rodzica, nowy uid pokazywany jest w nawiasach po nazwie.

-U  Posługuje się znakami ramek UTF-8 (Unicode). Pod Linuksem 1.1-54 i nowszym, tryb UTF-8 wprowadzany jest na konsoli przez echo -e '\033%8' i opuszczany przez echo -e '\033%@'

-V  Wyświetla informację o wersji.

PLIKI

/proc
    położenie systemu plików proc

AUTOR
Werner Almesberger <Werner.Almesberger@epfl.ch>

ZOBACZ TAKŻE
ps(1), top(1).

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 pstree

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.